---
layout: post
title: "In the US and looking for a Smoothieboard ?"
date: March 09, 2018 20:35
category: "General discussion"
author: "Arthur Wolf"
---
In the US and looking for a Smoothieboard ? Get it at a 10% discount for a limited time at this link : [https://shop.uberclock.com/discount/SPRINGSALE2018](https://shop.uberclock.com/discount/SPRINGSALE2018)





**"Arthur Wolf"**

---
---
**Nick Lindenmuth** *March 21, 2018 05:47*

When are we going to be able to buy the glcd sheild? Ive been waiting for a year


---
**Arthur Wolf** *March 21, 2018 13:39*

We just had some produced, should be in the shop in the coming days if I'm not wrong.


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/AdXB1eRnSLb) &mdash; content and formatting may not be reliable*
